using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialRecommendSpCampaign
{

    /*
        定向计划活动ID
    */
    private string? spCid;


    /*
        定向计划名称
    */
    private string? spName;


    /*
        定向佣金率
    */
    private string? spRate;


    /*
        定向是否锁佣，0=不锁佣 1=锁佣
    */
    private string? spLockStatus;


    /*
        定向计划申请链接
    */
    private string? spApplyLink;


    /*
        定向计划是否可用 1-可用 0-不可用
    */
    private string? spStatus;



    [JsonPropertyName("sp_cid")]
    public string? SpCid
    {
        get => spCid;
        set => this.spCid = value;
    }

    [JsonPropertyName("sp_name")]
    public string? SpName
    {
        get => spName;
        set => this.spName = value;
    }

    [JsonPropertyName("sp_rate")]
    public string? SpRate
    {
        get => spRate;
        set => this.spRate = value;
    }

    [JsonPropertyName("sp_lock_status")]
    public string? SpLockStatus
    {
        get => spLockStatus;
        set => this.spLockStatus = value;
    }

    [JsonPropertyName("sp_apply_link")]
    public string? SpApplyLink
    {
        get => spApplyLink;
        set => this.spApplyLink = value;
    }

    [JsonPropertyName("sp_status")]
    public string? SpStatus
    {
        get => spStatus;
        set => this.spStatus = value;
    }

}

